kind: Pod
apiVersion: v1
metadata:
  generateName: devworkspace-webhook-server-748669667d-
  annotations:
    controller.devfile.io/restarted-at: '1644423056759325801'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.0.20"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.0.20"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  resourceVersion: '148849'
  name: devworkspace-webhook-server-748669667d-qpr2q
  uid: 62bae069-1746-4dee-88b2-fd3f8cc3cf1c
  creationTimestamp: '2022-02-09T16:10:56Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-02-09T16:10:56Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:controller.devfile.io/restarted-at': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"0093e32f-5bf8-4a08-b023-7d6ba97a880a"}': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"webhook-tls-certs"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
          'f:containers':
            'k:{"name":"kube-rbac-proxy"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":9443,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
            'k:{"name":"webhook-server"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/tmp/k8s-webhook-server/serving-certs"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:args': {}
              'f:command': {}
              'f:livenessProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:initialDelaySeconds': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:env':
                .: {}
                'k:{"name":"CONTROLLER_SERVICE_ACCOUNT_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"POD_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
                'k:{"name":"WATCH_NAMESPACE"}':
                  .: {}
                  'f:name': {}
              'f:readinessProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:initialDelaySeconds': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":6789,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
                'k:{"containerPort":8443,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:automountServiceAccountToken': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:terminationGracePeriodSeconds': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2022-02-09T16:10:58Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2022-02-09T16:11:16Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.131.0.20"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-operators
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: devworkspace-webhook-server-748669667d
      uid: 0093e32f-5bf8-4a08-b023-7d6ba97a880a
      controller: true
      blockOwnerDeletion: true
  labels:
    app.kubernetes.io/name: devworkspace-webhook-server
    app.kubernetes.io/part-of: devworkspace-operator
    pod-template-hash: 748669667d
spec:
  restartPolicy: Always
  serviceAccountName: devworkspace-webhook-server
  imagePullSecrets:
    - name: devworkspace-webhook-server-dockercfg-8jbdw
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 1
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-193-98.us-east-2.compute.internal
  securityContext:
    seLinuxOptions:
      level: 's0:c20,c15'
    fsGroup: 1000410000
  containers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: kube-rbac-proxy
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000410000
      ports:
        - name: metrics
          containerPort: 9443
          protocol: TCP
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-qhbhk
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:3e10e2c966e42f1944791298f8e31de6fd89d1e836ee0b1349ce153d33a44240
      args:
        - '--secure-listen-address=0.0.0.0:9443'
        - '--upstream=http://127.0.0.1:8080/'
        - '--logtostderr=true'
        - '--v=10'
    - resources:
        limits:
          cpu: 200m
          memory: 300Mi
        requests:
          cpu: 100m
          memory: 20Mi
      readinessProbe:
        httpGet:
          path: /readyz
          port: liveness-port
          scheme: HTTP
        initialDelaySeconds: 10
        timeoutSeconds: 5
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 3
      terminationMessagePath: /dev/termination-log
      name: webhook-server
      command:
        - /usr/local/bin/entrypoint
      livenessProbe:
        httpGet:
          path: /healthz
          port: liveness-port
          scheme: HTTP
        initialDelaySeconds: 15
        timeoutSeconds: 5
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 5
      env:
        - name: CONTROLLER_SERVICE_ACCOUNT_NAME
          value: devworkspace-controller-serviceaccount
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        - name: WATCH_NAMESPACE
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000410000
      ports:
        - name: webhook-server
          containerPort: 8443
          protocol: TCP
        - name: liveness-port
          containerPort: 6789
          protocol: TCP
      imagePullPolicy: Always
      volumeMounts:
        - name: webhook-tls-certs
          readOnly: true
          mountPath: /tmp/k8s-webhook-server/serving-certs
        - name: kube-api-access-qhbhk
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/devworkspace/devworkspace-rhel8-operator@sha256:3f96fb70c3f56dea3384ea31b9252a5c6aca8e0f33dc53be590f134912244078
      args:
        - /usr/local/bin/webhook-server
        - '--metrics-addr=127.0.0.1:8080'
  automountServiceAccountToken: true
  serviceAccount: devworkspace-webhook-server
  volumes:
    - name: webhook-tls-certs
      secret:
        secretName: devworkspace-webhookserver-tls
        defaultMode: 420
    - name: kube-api-access-qhbhk
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-02-09T16:10:56Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-02-09T16:11:16Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-02-09T16:11:16Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-02-09T16:10:56Z'
  hostIP: 10.0.193.98
  podIP: 10.131.0.20
  podIPs:
    - ip: 10.131.0.20
  startTime: '2022-02-09T16:10:56Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: kube-rbac-proxy
      state:
        running:
          startedAt: '2022-02-09T16:10:59Z'
      imageID: >-
        registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:1996cf9e317c2255556ca28cdb958b23a5957ad43ff567d8aac93afd28cce4b5
      image: >-
        registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:3e10e2c966e42f1944791298f8e31de6fd89d1e836ee0b1349ce153d33a44240
      lastState: {}
      containerID: 'cri-o://4b6558280923e9e82575e60dc4a283182b3a3a7a1bd1bc79b5c633d7c1b89b4d'
    - restartCount: 0
      started: true
      ready: true
      name: webhook-server
      state:
        running:
          startedAt: '2022-02-09T16:10:59Z'
      imageID: >-
        registry.redhat.io/devworkspace/devworkspace-rhel8-operator@sha256:3f96fb70c3f56dea3384ea31b9252a5c6aca8e0f33dc53be590f134912244078
      image: >-
        registry.redhat.io/devworkspace/devworkspace-rhel8-operator@sha256:3f96fb70c3f56dea3384ea31b9252a5c6aca8e0f33dc53be590f134912244078
      lastState: {}
      containerID: 'cri-o://284fe67611157463973161d9ea28eb5957e664158296be0fad374f1c3c275a67'
  qosClass: Burstable
